summaryrefslogtreecommitdiff
path: root/media-video/tv-maxe
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2014-10-27 18:38:05 +0200
committerBlackNoxis <steven.darklight@gmail.com>2014-10-27 18:38:05 +0200
commit24934e623441310f644e5f72855b0f2bf9f3cd1a (patch)
treea453939bf58199bc2c3ff27bcf0accf2b221c6c4 /media-video/tv-maxe
parent687f45092b4f4ccf33765cee7427f054bae22344 (diff)
Incoming! Moving Rogento.git to kogaion-desktop. Finally
Diffstat (limited to 'media-video/tv-maxe')
-rw-r--r--media-video/tv-maxe/files/tv-maxe-0.09-pillow-support.patch26
-rw-r--r--media-video/tv-maxe/tv-maxe-0.09-r1.ebuild51
-rw-r--r--media-video/tv-maxe/tv-maxe-0.09.ebuild4
-rw-r--r--media-video/tv-maxe/tv-maxe-9999.ebuild54
4 files changed, 133 insertions, 2 deletions
diff --git a/media-video/tv-maxe/files/tv-maxe-0.09-pillow-support.patch b/media-video/tv-maxe/files/tv-maxe-0.09-pillow-support.patch
new file mode 100644
index 00000000..b1a4acc2
--- /dev/null
+++ b/media-video/tv-maxe/files/tv-maxe-0.09-pillow-support.patch
@@ -0,0 +1,26 @@
+diff -Nur tv-maxe-0.09-orig/statusimage.py tv-maxe-0.09/statusimage.py
+--- tv-maxe-0.09-orig/statusimage.py 2012-07-03 22:26:03.000000000 +0300
++++ tv-maxe-0.09/statusimage.py 2013-10-19 14:57:28.089423913 +0300
+@@ -1,4 +1,7 @@
+-import gtk, gobject, StringIO, Image, ImageDraw, ImageFont, os, tempfile
++import gtk, gobject, StringIO, os, tempfile
++from PIL import Image
++from PIL import ImageDraw
++from PIL import ImageFont
+
+ class StatusImage:
+ def __init__(self):
+diff -Nur tv-maxe-0.09-orig/tvmaxe.py tv-maxe-0.09/tvmaxe.py
+--- tv-maxe-0.09-orig/tvmaxe.py 2013-03-24 00:08:17.000000000 +0200
++++ tv-maxe-0.09/tvmaxe.py 2013-10-19 14:56:46.927938502 +0300
+@@ -31,8 +31,9 @@
+ pygtk.require('2.0')
+ import gtk
+ import subprocess, threading, urllib2, workerpool, random, time, datetime, webbrowser, string, copy
+-import irwatch, which, sqlite3, re, json, base64, Image, StringIO
++import irwatch, which, sqlite3, re, json, base64, StringIO
+ import tools, keysim, scheduler, socketserver
++from PIL import Image
+ from settingsManager import settingsManager
+ from channel import Channel
+ from scheduler import Scheduler
diff --git a/media-video/tv-maxe/tv-maxe-0.09-r1.ebuild b/media-video/tv-maxe/tv-maxe-0.09-r1.ebuild
new file mode 100644
index 00000000..a5ea248e
--- /dev/null
+++ b/media-video/tv-maxe/tv-maxe-0.09-r1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+
+inherit eutils
+
+DESCRIPTION="Program to view free channels"
+HOMEPAGE="http://code.google.com/p/tv-maxe"
+SRC_URI="http://tv-maxe.googlecode.com/files/${PN}-${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+sqlite"
+
+DEPEND="dev-lang/python[sqlite]"
+RDEPEND="dev-python/pillow
+ media-video/mplayer2
+ media-video/vlc
+ virtual/ffmpeg
+ dev-python/python-virtkey
+ dev-python/pygtk
+ dev-lang/python[sqlite]
+ media-tv/sp-auth
+ media-video/rtmpdump
+ dev-python/gst-python
+ media-libs/gst-plugins-good
+ media-plugins/gst-plugins-meta"
+DEPEND=""
+
+S="${WORKDIR}"
+
+src_prepare() {
+ sed -i "s|python|python2|g" ${S}/${PN}-${PV}/${PN} || die "Cannot sed file"
+ epatch -p0 "${FILESDIR}/tv-maxe-0.09-pillow-support.patch"
+}
+
+src_install() {
+ cd "${S}"
+ dodir /usr/share/${PN} || die
+ insinto /usr/share/${PN} || die
+ doins -r "${S}"/${PN}-${PV}/* || die
+ fperms 755 /usr/share/${PN}/${PN} || die "Errors on permission giving"
+ fperms 755 /usr/share/${PN} || die "Errors on permission folder giving"
+ dosym /usr/share/${PN}/${PN} /usr/bin/${PN} || die "Not too many symbolic links"
+ make_desktop_entry tv-maxe TV-maxe \
+ "/usr/share/tv-maxe/tvmaxe_mini.png" \
+ Video
+}
diff --git a/media-video/tv-maxe/tv-maxe-0.09.ebuild b/media-video/tv-maxe/tv-maxe-0.09.ebuild
index 08265748..e05037bf 100644
--- a/media-video/tv-maxe/tv-maxe-0.09.ebuild
+++ b/media-video/tv-maxe/tv-maxe-0.09.ebuild
@@ -13,8 +13,9 @@ SRC_URI="http://tv-maxe.googlecode.com/files/${PN}-${PV}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="sqlite"
+IUSE="+sqlite"
+DEPEND="dev-lang/python[sqlite]"
RDEPEND="dev-python/imaging
media-video/mplayer2
media-video/vlc
@@ -24,7 +25,6 @@ RDEPEND="dev-python/imaging
dev-lang/python[sqlite]
media-tv/sp-auth
media-video/rtmpdump
- sqlite? ( dev-python/sqlite3dbm )
dev-python/gst-python
media-libs/gst-plugins-good
media-plugins/gst-plugins-meta"
diff --git a/media-video/tv-maxe/tv-maxe-9999.ebuild b/media-video/tv-maxe/tv-maxe-9999.ebuild
new file mode 100644
index 00000000..f12aad2d
--- /dev/null
+++ b/media-video/tv-maxe/tv-maxe-9999.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+
+inherit eutils git-2
+
+EGIT_BRANCH=master
+EGIT_REPO_URI="https://code.google.com/p/tv-maxe"
+
+
+DESCRIPTION="Program to view free channels"
+HOMEPAGE="http://code.google.com/p/tv-maxe"
+SRC_URI=""
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+sqlite"
+
+DEPEND="dev-lang/python[sqlite]"
+RDEPEND="dev-python/pillow
+ media-video/mplayer2
+ media-video/vlc
+ virtual/ffmpeg
+ dev-python/python-virtkey
+ dev-python/pygtk
+ dev-lang/python[sqlite]
+ media-tv/sp-auth
+ media-video/rtmpdump
+ dev-python/gst-python
+ media-libs/gst-plugins-good
+ media-plugins/gst-plugins-meta"
+DEPEND=""
+
+S="${WORKDIR}"
+
+src_prepare() {
+ sed -i "s|python|python2|g" ${S}/${PN} || die "Cannot sed file"
+}
+
+src_install() {
+ cd "${S}"
+ dodir /usr/share/${PN} || die
+ insinto /usr/share/${PN} || die
+ doins -r "${S}"/* || die
+ fperms 755 /usr/share/${PN}/${PN} || die "Errors on permission giving"
+ fperms 755 /usr/share/${PN} || die "Errors on permission folder giving"
+ dosym /usr/share/${PN}/${PN} /usr/bin/${PN} || die "Not too many symbolic links"
+ make_desktop_entry tv-maxe TV-maxe \
+ "/usr/share/tv-maxe/tvmaxe_mini.png" \
+ Video
+}